<back to all web services

FileUpload

The following routes are available for this service:
POST/RestApi/translations/fileupload
namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations

open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations

    [<AllowNullLiteral>]
    type FileUpload() = 
        member val RequestStream:Stream = null with get,set
        member val FileName:String = null with get,set
        member val Connector:String = null with get,set

F# FileUpload DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/fileupload HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"FileName":"String","Connector":"String"}